"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativePaper = require("react-native-paper");
var _useTheme = require("../useTheme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Button = props => {
  let {
    color,
    uppercase = false
  } = props;
  const {
    colors
  } = (0, _useTheme.useFoundationTheme)();
  switch (color) {
    case 'primary':
      color = colors.primary;
      break;
    case 'secondary':
      color = colors.accent;
      break;
    case 'danger':
      color = colors.error;
      break;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNativePaper.Button, _extends({}, props, {
    textColor: color,
    uppercase: uppercase
  }));
};
exports.Button = Button;
//# sourceMappingURL=Button.js.map