import React from 'react';
import { Provider as PaperProvider } from 'react-native-paper';
import type { MD2Theme } from 'react-native-paper';
import type { Settings } from 'react-native-paper/src/core/settings';
import { FoundationTheme } from '../styles/FoundationTheme';

type Props = {
  children: React.ReactNode;
  theme?: MD2Theme;
  settings?: Settings;
};

export const FoundationProvider = ({
  theme = FoundationTheme,
  ...otherProps
}: Props) => {
  return <PaperProvider theme={theme} {...otherProps} />;
};
