import { type MD2Theme, MD2LightTheme } from 'react-native-paper';
import configureFonts from './fonts';

export const FoundationTheme: MD2Theme = {
  ...MD2LightTheme,
  dark: false,
  roundness: 4,
  colors: {
    ...MD2LightTheme.colors,
    primary: '#9156E3',
    accent: '#BDBDBD',
    error: '#D32F2F',
    background: '#ffffff',
    surface: '#ffffff',
    text: '#000000de',
    onSurface: '#323232',
    disabled: '#0000001f',
    placeholder: '#00000099',
    backdrop: '#E0E0E0',
  },
  fonts: configureFonts(),
  animation: {
    scale: 1.0,
  },
};
